/*
Author: Sean James
Website: SeanJamesInteractive.com
Date: November 13, 2015
*/

jQuery(document).ready(function(){
	
	var browser_width = $( window ).width();
	
	jQuery( '.sji-table-responsive' ).each(function(){
	
		var table_header_arr = [];
		var table_row_arr = [];
		var table_new = '';
		
		var table_option_class = '';
		
		if(jQuery(this).hasClass('header-tint') ){
			
			table_option_class = ' header-tint';
		}
		
		if( jQuery(this).attr('min-width') ){
			
			var width_min = jQuery(this).attr('min-width');
			
			jQuery(this).find('th').each(function(){
				table_header_arr.push( jQuery(this).html() );
			});
			
			
			jQuery(this).find('tbody tr').each(function(){
				
				var td_arr = [];
				jQuery(this).find('td').each(function(){
					td_arr.push( jQuery(this).html() );
				})
				
				table_row_arr.push( td_arr );
				
			});
			
			
			
			for(i = 0; i < table_row_arr.length; i++){
				
				table_new += '<table class="sji-table-compact'+table_option_class+'" ><tbody>';
				
				for(j = 0; j < table_header_arr.length; j++){
					
					table_new += '<tr>';
					
					table_new += '<td style="width:50%">' + table_header_arr[ j ] + '</td><td style="width:50%">' + table_row_arr[i][j] + '</td>';
					
					table_new += '</tr>';
				}
				
				table_new += '</tbody></table>';
			}
			
			
			jQuery(this).after(table_new);
			
			if( browser_width < width_min ){
				jQuery(this).parent().find('.sji-table-compact').css({'display':'table'});
				jQuery(this).css({'display':'none'});
			}else{
				jQuery(this).parent().find('.sji-table-compact').css({'display':'none'});
			}
		
		}
	
	});
	
	
	
	$( window ).resize(function() {
		browser_width = $( window ).width();
		
		jQuery( '.sji-table-responsive' ).each(function(){
		
			if( jQuery(this).attr('min-width') ){
				
				var width_min = jQuery(this).attr('min-width');
				
				if( browser_width < width_min ){
					jQuery(this).parent().find('.sji-table-compact').css({'display':'table'});
					jQuery(this).css({'display':'none'});
				}else{
					jQuery(this).parent().find('.sji-table-compact').css({'display':'none'});
					jQuery(this).css({'display':'table'});
				}
			}
		});
		
	});
		
});